%global momorel 8

%global emacsver 22.3
%global xemacsver 21.5.28
%global xemacssumover 2007.04.27
%global apelver 10.7-11m
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

%global csig_version  3.8
%global weather_version 0.33
%global fortune_version 0.6
%global develock_version 0.36
%global session_version 2.2a

Summary: SUMO package fo MOmonga - elisp utilites for Emacsen
Name: elisp-sumomo
Version: 1.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Internet
Source0: http://www.osk.3web.ne.jp/~kshibata/c-sig/programs/c-sig-%{csig_version}.tar.gz
Source1: ftp://ftp.opaopa.org/pub/elisp/weather-%{weather_version}.tar.gz
Source2: ftp://ftp.opaopa.org/pub/elisp/fortune-%{fortune_version}.tar.gz
Source3: ftp://ftp.jpl.org/pub/elisp/develock.el.gz
Source4: http://dl.sourceforge.net/sourceforge/emacs-session/session-%{session_version}.tar.gz
Source10: sumomo-init.el
Patch10: weather-0.33-modify-template.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
Requires: emacsen
Provides: elisp-kosumo
Obsoletes: elisp-kosumo

%description
SUMO package fo MOmonga (sumomo) include some elisp utilities for Emacsen.

%package -n sumomo-emacs
Group: Applications/Editors
Summary: su-sumo - SUMO MOmonga - elisp utilities for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
Provides: c-sig-emacs, kosumo-emacs
Obsoletes: c-sig-emacs, kosumo-emacs

%description -n sumomo-emacs
SUMO package fo MOmonga (sumomo) include some elisp utilities for Emacsen.

%package -n sumomo-xemacs
Group: Applications/Editors
Summary: su-sumo - SUMO MOmonga - elisp utilities for Emacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo >= %{xemacssumover}
Requires: apel-xemacs >= %{apelver}
Provides: c-sig-emacs, kosumo-xemacs
Obsoletes: c-sig-xemacs, kosumo-xemacs

%description -n sumomo-xemacs
SUMO package fo MOmonga (sumomo) include some elisp utilities for Emacsen.

%prep
%setup -q -c -a 0 -a 1 -a 2 -a 4
%__patch -d weather-%{weather_version} < %{PATCH10} 
(
  mkdir develock;
  cd develock;
  cp %{SOURCE3} .;
  gunzip develock.el.gz;
)
mv session session-%{session_version}

rm -rf %{buildroot}

%build
mkdir -p %{buildroot}%{e_sitedir}
mkdir -p %{buildroot}%{sitepdir}/lisp

ByteCompile() {
  if [ -d "$1" ]; then
    pushd $1
  fi
#  if [ -f Makefile ]; then
#    make EMACS=emacs
#    make EMACS=emacs LISPDIR=%{buildroot}%{e_sitedir} install
#    make clean
#    make XEMACS=xemacs
#    make XEMACS=xemacs XLISPDIR=%{buildroot}%{sitepdir}/lisp xinstall
#    rm -f Makefile
#  else
    emacs -batch -q -no-site-file -f batch-byte-compile *.el
    install -m 644 *.el *.elc %{buildroot}%{e_sitedir}
    rm -f *.elc
    xemacs -vanilla -batch -f batch-byte-compile *.el
    install -m 644 *.el *.elc %{buildroot}%{sitepdir}/lisp
#  fi
  rm -f *.el*
  popd
}

for i in \
  c-sig-%{csig_version} \
  weather-%{weather_version} \
  fortune-%{fortune_version} \
  develock \
  session-%{session_version}/lisp
    do ByteCompile $i
done

%install
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/config-sample/%{name}

mv session-%{session_version}/lisp/ChangeLog session-%{session_version}
rm -rf session-%{session_version}/lisp

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc c-sig-%{csig_version}
%doc weather-%{weather_version}
%doc fortune-%{fortune_version}
%doc session-%{session_version}
%dir %{_datadir}/config-sample/%{name}
%config(noreplace) %{_datadir}/config-sample/%{name}/sumomo-init.el

%files -n sumomo-emacs
%defattr(-,root,root)
%{e_sitedir}/*

%files -n sumomo-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/*

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-8m)
- rebuild against emacs-22.3

* Fri Jul 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-7m)
- rebuild against apelver 10.7-11m

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-6m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-5m)
- update develock.el to 0.36

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-4m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-3m)
- rebuild against gcc43

* Sat Aug 18 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-2m)
- update develock.el to 0.35

* Tue Jul 10 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-1m)
- bump up version to 1.2
-- add session.el
-- update develock.el to 0.34
- update Source10: sumomo-init.el
- no %%NoSource

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-27m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun 17 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-26m)
- don't use Makefile because of make-3.81

* Mon Jun  4 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-25m)
- update weather.el to 0.33
-- add Patch10: weather-0.33-modify-template.patch
- update fortune.el to 0.6
- update develock.el to 0.33

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-24m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-23m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-22m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-21m)
- rebuild against emacs-22.0.94

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-20m)
- rebuild against apel-10.7

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-19m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-18m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-17m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-16m)
- rebuild against emacs-22.0.90

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.1-15m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.1-14m)
- use %%{xe_sitedir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-13m)
- rebuild against emacs 22.0.50

* Thu Nov 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-12m)
- update apelver to 10.6-3m

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1-11m)
- rebuild against emacs-21.3.50

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-10m)
- rebuild against emacs-21.3
- define apelver
- update apel version

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.1-9m)
- rebuild against elisp-apel-10.4-1m

* Sat Aug 17 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.1-8m)
- change package name from kosumo to sumomo
- rebuild against elisp-apel-10.3-21m

* Mon Jul 29 2002 smbd <smbd@momonga-linux.org>
- (1.1-7m)
- change source's URI

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.1-6k)
- rebuild against emacs-21.2

* Sun Mar 10 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.1-4k)
- Fixed a typo in 1.0-10k %changelog.

* Sun Mar 10 2002 Hidetomo Machi <mcHT@kondara.org>
- (1.1-2k)
- add develock.el
- use macro for each version

* Sat Jan 12 2002 Hidetomo Machi <mcHT@kondara.org>
- (1.0-10k)
- update weahter-0.29
- update fortune-0.4
- modify kosumo-init.el

* Sat Nov 10 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.0-8k)
- add configuration sample

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-6k)
- modified %BuildPrereq and %Requires (added xemacs-sumo)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.0-4k)
- use BuildPreReq instead of BuildRequires

* Sun Oct 28 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.0-2k)
- Initial build
